Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"c0e697fb-ad7c-4594-b8e4-7a174f0e77ee","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["482f872f-233a-49ca-821f-81a5ce431ab3"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"1b7c2fd7-b501-49d7-b300-73e97fba58c6","url":null,"userId":"448d7a92-c70d-47d2-9f28-906d97be86ce","userUrl":null,"categoryId":"0c378d34-ab4d-49e8-afa4-9b88d6937c26","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-08-22T00:41:54.4931799+00:00","lastModifiedDateTime":"2026-08-22T20:41:54.4931799+00:00","availableFrom":"2026-08-23T00:41:54","startDateTimeZone":null,"availableUntil":"2026-08-24T00:41:54","endDateTimeZone":null,"medias":[{"id":"6f5ab2ce-7a95-46f4-b210-4bc85afbe2ed","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"92e2ab01-7aa8-45f0-a9d1-3ba1cfce58d6","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"ecbb8dba-c13f-4b90-8ce2-e106f99e4e86","url":null},{"type":"Department","name":"Department name example","id":"672ada72-83df-4d69-bf89-455fa1b3363c","url":null},{"type":"User group","name":"User group name example","id":"4c05e077-bb82-4ed3-ba27-8f8411439625","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"363b3e3d-0624-4c2e-81ac-cb336d766e75"}],"userGroups":[{"url":null,"name":"User group name example","id":"b3158059-a077-4eb1-a777-bff230facece"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string